<!-- This template display a order line with book related information-->

<div class="cart-item justify-content-between py-3 my-1">

    <div class="px-3 my-1">
        <a *ngIf="book" class="cart-item-product" [routerLink]="['/shop/book/', book!.id, 'view']">
            <div class="cart-item-product-thumb">
                <img src="{{book!.imageURL}}" alt="{{book!.title}}">
            </div>
            <div class="cart-item-product-info">
                <h4 class="cart-item-product-title">{{book!.title}}</h4>
                <span><strong>Author   : </strong>{{book!.authors}}</span>
                <span><strong>Category : </strong>{{category?.id}}</span>
            </div>
        </a>
    </div>
    <div class="card-body py-3 mb-3">
        <div class="card-horizontal">
            <div class="px-3 my-3 text-center">
                <div class="cart-item-label">Unit Price</div>
                <span class="text-xl font-weight-medium">{{book?.price | currency}}</span>
            </div>
            <div class="px-3 my-3 text-center">
                <div class="cart-item-label">Quantity</div>
                <span class="text-xl font-weight-medium">{{orderLine!.quantity}}</span>
            </div>
            <div class="px-3 my-2 text-center">
                <div class="cart-item-label">Subtotal</div>
                <span class="text-xl font-weight-medium">{{orderLine!.price | currency}}</span>
            </div>
        </div>


        <div class=" ">
            <button *ngIf="book" class="btn btn-primary float-right px-1" [routerLink]="['/customer-comment/book/', book!.id]"> 
            <span jhiTranslate="ecomBookstoreApp.order.orderHistory.writeCommentBtn">
        </span></button>
        </div>
    </div>


</div>